API reference

Get free times

GET
/v1/storefront/services/times

The start times free for a service on a day, at a branch that offers it.

Authorization

publishableKey
headerAuthorizationBearer <pk_live_…>

The shop’s publishable key, from Settings, Developers in Cashiar. Safe to use in a browser.

Query Parameters

branchId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
serviceId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
variantId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
withServiceIds?|array<>
date*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate

Response Body

application/json
  1. response
date*string
durationMinutes*number
slots*array<string>
times*array<>
branchId*string
Example Request
curl -X GET 'https://api.cashiar.app/v1/storefront/services/times?serviceId=497f6eca-6276-4993-bfeb-53cbbbba6f08&date=2019-08-24'
Example Response200
{
  "date": "string",
  "durationMinutes": 0,
  "slots": [
    "string"
  ],
  "times": [
    {
      "time": "string",
      "booked": true
    }
  ],
  "branchId": "string"
}